#include <iostream>
#include "text.h"

using namespace std;

void
show_histogram_text(const vector<size_t>& bins, size_t& bin_count) {
    const size_t SCREEN_WIDTH = 80;
    const size_t MAX_ASTERISK = SCREEN_WIDTH - 3 - 1;
    size_t max_count = 0;

    for (size_t s = 0; s < bin_count; s++)
    {
        if (bins[s] > max_count)
        {
            max_count = bins[s];
        }
    }

    if (max_count == 0)
    {
        max_count = 1;
    }

    for (size_t bin : bins)
    {
        if (bin < 100) cout << " ";
        if (bin < 10) cout << " ";
        cout << bin;
        cout << "|";
        size_t height = MAX_ASTERISK * (static_cast<double>(bin) / max_count);
        if (max_count <= MAX_ASTERISK) height = bin;
        for (size_t i = 0; i < height; i++) cout << "*";
        cout << endl;
    }
}
